
Name:          jmock2
Version:       2.5.1
Release:       %mkrel 2
Summary:       Java library for testing code with mock objects
Group:         Development/Java
License:       BSD
Url:           http://www.jmock.org/
# svn export http://svn.codehaus.org/jmock/tags/2.5.1 jmock-2.5.1
# tar czf jmock-2.5.1-src-svn.tar.gz jmock-2.5.1
Source0:       jmock-2.5.1-src-svn.tar.gz
# from http://repo1.maven.org/maven2/org/jmock/jmock-parent/%{version}/jmock-parent-%{version}.pom
# removed gmaven-plugin and wagon-webdav
Source1:       jmock-parent-%{version}-modified.pom
Source2:       http://repo1.maven.org/maven2/org/jmock/jmock/%{version}/jmock-%{version}.pom
Source3:       http://repo1.maven.org/maven2/org/jmock/jmock-junit3/%{version}/jmock-junit3-%{version}.pom
# replace artifactId junit-dep with junit
# from http://repo1.maven.org/maven2/org/jmock/jmock-junit4/%{version}/jmock-junit4-%{version}.pom
Source4:       jmock-junit4-%{version}-modified.pom
# from  http://repo1.maven.org/maven2/org/jmock/jmock-legacy/%{version}/jmock-legacy-%{version}.pom
# edit bsh2 version 2.0b4 to 2.0b5
Source5:       jmock-legacy-%{version}-modified.pom
# from http://repo1.maven.org/maven2/org/jmock/jmock-script/%{version}/jmock-script-%{version}.pom
# edit objenesis version 1.0 to 1.2
Source6:       jmock-script-%{version}-modified.pom
# patch for java 6
Patch0:        jmock-2.5.1-DeterministicSchedule.patch
# remove hamcrest classes
Patch1:        jmock-2.5.1-javadoc.patch

BuildRequires: ant >= 0:1.6
BuildRequires: ant-junit
BuildRequires: bsh2
BuildRequires: hamcrest
BuildRequires: java-devel
BuildRequires: java-rpmbuild
BuildRequires: junit >= 0:3.8.1
BuildRequires: junit4
BuildRequires: jpackage-utils
BuildRequires: cglib21
BuildRequires: objenesis

Requires:      bsh2
Requires:      hamcrest
Requires:      jpackage-utils
Requires:      junit
Requires:      junit4
Requires:      objenesis

BuildArch:     noarch

%description
Mock objects help you design and test the interactions between the objects in
your programs.
The jMock library:
	* makes it quick and easy to define mock objects, so you don't break the
    rhythm of programming.
  * lets you precisely specify the interactions between your objects, reducing
    the brittleness of your tests.
  * works well with the autocompletion and refactoring features of your IDE
  * plugs into your favourite test framework
  * is easy to extend.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
JMock - Java library for testing code with mock objects.

This package contains documentation for %{name}.

%prep
%setup -q -n jmock-%{version}
%patch0 -p0
%patch1 -p0

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

pushd lib
  ln -sf $(build-classpath bsh2/bsh-core) bsh-core-2.0b4.jar
  ln -sf $(build-classpath cglib21-nodep) cglib-nodep-2.1_3.jar
  ln -sf $(build-classpath hamcrest/core) hamcrest-core-1.1.jar
  ln -sf $(build-classpath hamcrest/library) hamcrest-library-1.1.jar
  ln -sf $(build-classpath junit) junit-3.8.1.jar
  ln -sf $(build-classpath junit4) junit-4.4.jar
  ln -sf $(build-classpath objenesis) objenesis-1.0.jar
popd

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath cglib21-nodep hamcrest/core hamcrest/library)
CLASSPATH=$CLASSPATH:$(build-classpath junit junit4 objenesis ant/ant-junit)
ant \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  -Dversion=%{version}
  
# with gcj zip.jars javadoc

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jmock2-parent.pom
%add_maven_depmap JPP-jmock2-parent.pom

install -pm 644 build/jmock-%{version}/jmock-%{version}.jar \
  %{buildroot}%{_javadir}/jmock2-%{version}.jar

install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-jmock2.pom
%add_maven_depmap JPP-jmock2.pom jmock2.jar

install -m 644 build/jmock-%{version}/jmock-junit3-%{version}.jar \
	%{buildroot}%{_javadir}/jmock2-junit3-%{version}.jar

install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-jmock2-junit3.pom
%add_maven_depmap JPP-jmock2-junit3.pom jmock2-junit3.jar

install -m 644 build/jmock-%{version}/jmock-junit4-%{version}.jar \
  %{buildroot}%{_javadir}/jmock2-junit4-%{version}.jar

install -m 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP-jmock2-junit4.pom
%add_maven_depmap JPP-jmock2-junit4.pom jmock2-junit4.jar

install -m 644 build/jmock-%{version}/jmock-legacy-%{version}.jar \
  %{buildroot}%{_javadir}/jmock2-legacy-%{version}.jar

install -m 644 %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP-jmock2-legacy.pom
%add_maven_depmap JPP-jmock2-legacy.pom jmock2-legacy.jar

install -m 644 build/jmock-%{version}/jmock-script-%{version}.jar \
  %{buildroot}%{_javadir}/jmock2-script-%{version}.jar

install -m 644 %{SOURCE6} %{buildroot}%{_mavenpomdir}/JPP-jmock2-script.pom
%add_maven_depmap JPP-jmock2-script.pom jmock2-script.jar

install -m 644 build/jmock-%{version}/jmock-tests-%{version}.jar \
  %{buildroot}%{_javadir}/jmock2-tests-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do 
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jmock2-%{version}
cp -pr build/jmock-%{version}/doc/* %{buildroot}%{_javadocdir}/jmock2-%{version}
ln -s jmock2-%{version} %{buildroot}%{_javadocdir}/jmock2

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jmock2-%{version}.jar
%{_javadir}/jmock2.jar
%{_javadir}/jmock2-junit3-%{version}.jar
%{_javadir}/jmock2-junit3.jar
%{_javadir}/jmock2-junit4-%{version}.jar
%{_javadir}/jmock2-junit4.jar
%{_javadir}/jmock2-legacy-%{version}.jar
%{_javadir}/jmock2-legacy.jar
%{_javadir}/jmock2-script-%{version}.jar
%{_javadir}/jmock2-script.jar
%{_javadir}/jmock2-tests-%{version}.jar
%{_javadir}/jmock2-tests.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README* TODO

%files javadoc
%{_javadocdir}/jmock2-%{version}
%{_javadocdir}/jmock2



%changelog

* Wed Nov 16 2011 dmorgan <dmorgan> 2.5.1-2.mga2
+ Revision: 168045
- Remove dupplicate %%changelog entry ( mga #3356)

* Thu Oct 20 2011 gil <gil> 2.5.1-1.mga2
+ Revision: 157029
- edit legacy pom
- imported package jmock2


* Wed Jul 27 2011 gil <gil> 2.5.1-0.%%mkrel
- initial rpm

